import { OnInit, TemplateRef } from '@angular/core';
import { Toolbar, ToolbarItem, ToolbarDropdown } from '../../types';
import { MenuService } from './menu.service';
import Editor from '../../Editor';
import { INgxUploadImage, INgxUploadImageConfig } from '../../upload-image.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare const DEFAULT_TOOLBAR: Toolbar;
export declare const TOOLBAR_MINIMAL: Toolbar;
export declare const TOOLBAR_FULL: Toolbar;
export declare class MenuComponent implements OnInit {
    private menuService;
    private readonly uploadImage;
    toolbar: Toolbar;
    colorPresets: string[];
    disabled: boolean;
    editor: Editor;
    customMenuRef: TemplateRef<any> | null;
    dropdownPlacement: 'top' | 'bottom';
    uploadImageConfig: INgxUploadImageConfig | null;
    imageUrl$: Observable<string>;
    toggleCommands: ToolbarItem[];
    insertCommands: ToolbarItem[];
    iconContainerClass: string[];
    dropdownContainerClass: string[];
    seperatorClass: string[];
    constructor(menuService: MenuService, uploadImage: INgxUploadImage);
    get presets(): string[][];
    trackByIndex(index: number): number;
    isDropDown(item: ToolbarItem): boolean;
    getDropdownItems(item: ToolbarItem): ToolbarDropdown;
    ngOnInit(): void;
    upload(file: File): void;
    get showUploadButton(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "ngx-editor-menu", never, { "toolbar": "toolbar"; "colorPresets": "colorPresets"; "disabled": "disabled"; "editor": "editor"; "customMenuRef": "customMenuRef"; "dropdownPlacement": "dropdownPlacement"; "uploadImageConfig": "uploadImageConfig"; }, {}, never, never>;
}
