import { InjectionToken } from '@angular/core';
import { HttpBackend, HttpContext, HttpHeaders, HttpParams } from '@angular/common/http';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface IRequest<T> {
    data: T;
}
export interface IOption {
    body?: any;
    headers?: HttpHeaders | {
        [header: string]: string | string[];
    };
    context?: HttpContext;
    observe?: 'body';
    params?: HttpParams | {
        [param: string]: string | number | boolean | ReadonlyArray<string | number | boolean>;
    };
    responseType?: 'json';
    reportProgress?: boolean;
    withCredentials?: boolean;
}
export interface INgxUploadImageConfig {
    url: string;
    method: 'post' | 'put';
    token?: string;
}
export interface IFile {
    file: File;
}
export interface INgxUploadImageResponse {
    url: string;
}
export declare type NgxUploadImagePayload = INgxUploadImageConfig & IFile;
export interface INgxUploadImage {
    uploadImage(payload: NgxUploadImagePayload): Observable<INgxUploadImageResponse>;
}
export declare const NGX_UPLOAD_IMAGE_TOKEN: InjectionToken<INgxUploadImage>;
export declare class NgxUploadImageService implements INgxUploadImage {
    private http;
    constructor(handler: HttpBackend);
    uploadImage({ method, url, token, file, }: NgxUploadImagePayload): Observable<INgxUploadImageResponse>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxUploadImageService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NgxUploadImageService>;
}
